## alpine-chroot-install 0.14.0

=== Makefile ===
SCRIPT_NAME := alpine-chroot-install

DESTDIR := /
PREFIX := /usr/local

SED := sed
SHA1SUM := sha1sum

ifeq ($(shell uname -s),Darwin)
	SED := gsed
	SHA1SUM := shasum -a 1
endif

#: Update version in the script and README.adoc to $VERSION.
bump-version:
	test -n "$(VERSION)"  # $$VERSION
	$(SED) -E -i "s/^(VERSION)=.*/\1='$(VERSION)'/" $(SCRIPT_NAME)
	$(SED) -E -i "s/^(:version:).*/\1 $(VERSION)/" README.adoc

#: Install the script into $DESTDIR.
install:
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	install -m 755 $(SCRIPT_NAME) $(DESTDIR)$(PREFIX)/bin/$(SCRIPT_NAME)

#: Update variable :script-sha1: in README.adoc with SHA1 checksum of the script.
readme-update-checksum:
	$(SED) -E -i \
		-e "s/^(:script-sha1:).*/\1 $(shell $(SHA1SUM) $(SCRIPT_NAME) | cut -d ' ' -f 1)/" \
		README.adoc

#: Bump version to $VERSION, create release commit and tag.
release: .check-git-clean | bump-version readme-update-checksum
	test -n "$(VERSION)"  # $$VERSION
	git add .
	git commit -m "Release version $(VERSION)"
	git tag -s v$(VERSION) -m v$(VERSION)

#: Print list of targets.
help:
	@printf '%s\n\n' 'List of targets:'
	@$(SED) -En '/^#:.*/{ N; s/^#: (.*)\n([A-Za-z0-9_-]+).*/\2 \1/p }' $(MAKEFILE_LIST) \
		| while read label desc; do printf '%-30s %s\n' "$$label" "$$desc"; done

.check-git-clean:
	@test -z "$(shell git status --porcelain)" \
		|| { echo 'You have uncommitted changes!' >&2; exit 1; }

.PHONY: bump-version install readme-update-checksum release help .check-git-clean

## alpine-chroot-install 0.13.3

=== debian/changelog ===
alpine-chroot-install (0.13.3-2) unstable; urgency=medium

  * Add a missing slash in an example.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 23 Jul 2022 21:21:09 +0200

alpine-chroot-install (0.13.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1012050)
  * Remove new-user-unfriedly default of installing to /alpine

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 13 Jul 2022 21:51:30 +0200

=== debian/control ===
Source: alpine-chroot-install
Section: otherosfs
Priority: optional
Maintainer: Adam Borowski <kilobyte@angband.pl>
Rules-Requires-Root: no
Build-Depends:
	debhelper-compat (= 13),
Standards-Version: 4.6.1
Homepage: https://github.com/alpinelinux/alpine-chroot-install/
Vcs-Browser: https://github.com/kilobyte/alpine-chroot-install
Vcs-Git: https://github.com/kilobyte/alpine-chroot-install.git

Package: alpine-chroot-install
Architecture: all
Depends:
	${misc:Depends},
	curl | wget,
Suggests:
	binfmt-support,
	qemu-user-static,
Description: bootstrap Alpine Linux into a chroot
 This script builds an Alpine Linux chroot, fetching packages from a network
 mirror.  The installed system is quite minimal, but contains enough to let
 you install whatever you need using "apk".
 .
 In other words, it's alpine's debootstrap.

## alpine-chroot-install 0.14.0

=== debian/changelog ===
alpine-chroot-install (0.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Multi-Arch: foreign.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 04 Sep 2022 01:17:36 +0200

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 
 Package: alpine-chroot-install
 Architecture: all
+Multi-Arch: foreign
 Depends:
 	${misc:Depends},
 	curl | wget,

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_build:
override_dh_auto_install:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%alpine-chroot-install-$1.tar.gz%" \
   https://github.com/alpinelinux/alpine-chroot-install/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
